## org.firebirdsql.jca
Class FBConnectionRequestInfo

    java.lang.Object
      org.firebirdsql.jca.FBConnectionRequestInfo

All Implemented Interfaces:
  Serializable, javax.resource.cci.ConnectionSpec, javax.resource.spi.ConnectionRequestInfo, DatabaseParameterBuffer, DatabaseParameterBufferExtension

    public class FBConnectionRequestInfo

extends Object
implements DatabaseParameterBufferExtension, javax.resource.spi.ConnectionRequestInfo, javax.resource.cci.ConnectionSpec, Serializable

The class `FBConnectionRequestInfo` holds a clumplet that is used to store and transfer connection-specific information such as user, password, and other dpb information..

Version:
  2.0
Author:
  David Jencks, Roman Rokytskyy
See Also:
  Serialized Form

Field Summary

Fields inherited from interface org.firebirdsql.gds.impl.DatabaseParameterBufferExtension
`BLOB_BUFFER_SIZE, EXTENSION_PARAMETERS, FILENAME_CHARSET, LOCAL_ENCODING, MAPPING_PATH, NO_RESULT_SET_TRACKING, OCTETS_AS_BYTES, PARANOIA_MODE, RESULT_SET_HOLDABLE, SOCKET_BUFFER_SIZE, TIMESTAMP_USES_LOCAL_TIMEZONE, USE_STANDARD_UDF, USE_STREAM_BLOBS`

Fields inherited from interface org.firebirdsql.gds.DatabaseParameterBuffer

`ACTIVATE_SHADOW, ADDRESS_PATH, ALLOCATION, BEGIN_LOG, BUFFER_LENGTH, CACHE_MANAGER, CDD_PATHNAME, CONNECT_TIMEOUT, DAMAGED, DBKEY_SCOPE, DEBUG, DELETE_SHADOW, DISABLE_JOURNAL, DISABLE_WAL, DROP_WALFILE, DUMMY_PACKET_INTERVAL, ENABLE_JOURNAL, ENCRYPT_KEY, FORCE_WRITE, GARBAGE_COLLECT, GBAK_ATTACH, GFIX_ATTACH, GSEC_ATTACH, GSTAT_ATTACH, INTERP, JOURNAL, LC_CTYPE, LC_MESSAGES, LICENSE, NO_DB_TRIGGERS, NO_GARBAGE_COLLECT, NO_RESERVE, NUM_BUFFERS, NUMBER_OF_USERS, OLD_DUMP_ID, OLD_FILE, OLD_FILE_SIZE, OLD_NUM_FILES, OLD_START_FILE, OLD_START_PAGE, OLD_START_SEQNO, ONLINE, ONLINE_DUMP, OVERWRITE, PAGE_SIZE, PASSWORD, PASSWORD_ENC, PROCESS_ID, PROCESS_NAME, QUIT_LOG, RESERVED, SEC_ATTACH, SET_DB_CHARSET, SET_DB_READONLY, SET_DB_SQL_DIALECT, SET_PAGE_BUFFERS, SHUTDOWN, SHUTDOWN_DELAY, SQL_DIALECT, SQL_ROLE_NAME, SWEEP, SWEEP_INTERVAL, SYS_USER_NAME, SYS_USER_NAME_ENC, TRACE, TRUSTED_AUTH, USER, USER_NAME, VERIFY, WAL_BACKUP_DIR, WAL_BUFSIZE, WAL_CHKPTLEN, WAL_GRP_CMT_WAIT, WAL_NUMBUFS, WORKING_DIRECTORY`

Constructor Summary
`FBConnectionRequestInfo(DatabaseParameterBuffer dpb)`

Method Summary
`void` `addArgument(int argumentType)` Add argument with no parameters.
`void` `addArgument(int argumentType, byte[] content)` Add array of bytes.
`void` `addArgument(int argumentType, int value)` Add integer argument.
`void` `addArgument(int argumentType, String value)` Add string argument.
`DatabaseParameterBuffer` `deepCopy()` Perform a deep copy of this object, returning the copied instance.
`boolean` `equals(Object obj)`
`int` `getArgumentAsInt(int argumentType)` Get argument as int.
`String` `getArgumentAsString(int argumentType)` Get argument as string.
`DatabaseParameterBuffer` `getDpb()` Get the underlying Database Parameter Buffer for this object.
`boolean` `hasArgument(int argumentType)` Check if this parameter buffer has specified argument.
`int` `hashCode()`
`void` `removeArgument(int argumentType)` Remove specified argument.
`DatabaseParameterBuffer` `removeExtensionParams()` Remove extension parameters in the newly created deep copy of this class.
`void` `setPassword(String password)`
`void` `setUserName(String userName)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FBConnectionRequestInfo

    public FBConnectionRequestInfo(DatabaseParameterBuffer dpb)

Method Detail

### deepCopy

    public DatabaseParameterBuffer deepCopy()

  Perform a deep copy of this object, returning the copied instance.

  Specified by:
    `deepCopy` in interface `DatabaseParameterBuffer`
  Returns:
    A deep-copied copy of this FBConnectionRequestInfo object

### getDpb

    public DatabaseParameterBuffer getDpb()

  Get the underlying Database Parameter Buffer for this object.

  Returns:
    The underlying dpb for this object

### addArgument

    public void addArgument(int argumentType,
                            byte[] content)

  Description copied from interface: `DatabaseParameterBuffer`
  Add array of bytes.

  Specified by:
    `addArgument` in interface `DatabaseParameterBuffer`
  Parameters:
    `argumentType` - type of argument.
    `content` - content of argument.

### addArgument

    public void addArgument(int argumentType,
                            int value)

  Description copied from interface: `DatabaseParameterBuffer`
  Add integer argument.

  Specified by:
    `addArgument` in interface `DatabaseParameterBuffer`
  Parameters:
    `argumentType` - type of argument.
    `value` - integer value to add.

### addArgument

    public void addArgument(int argumentType,
                            String value)

  Description copied from interface: `DatabaseParameterBuffer`
  Add string argument.

  Specified by:
    `addArgument` in interface `DatabaseParameterBuffer`
  Parameters:
    `argumentType` - type of argument.
    `value` - string value to add.

### addArgument

    public void addArgument(int argumentType)

  Description copied from interface: `DatabaseParameterBuffer`
  Add argument with no parameters.

  Specified by:
    `addArgument` in interface `DatabaseParameterBuffer`
  Parameters:
    `argumentType` - type of argument.

### getArgumentAsInt

    public int getArgumentAsInt(int argumentType)

  Description copied from interface: `DatabaseParameterBuffer`
  Get argument as int.

  Specified by:
    `getArgumentAsInt` in interface `DatabaseParameterBuffer`
  Parameters:
    `argumentType` - type of argument to find.
  Returns:
    argument as string or `0` if nothing found.

### getArgumentAsString

    public String getArgumentAsString(int argumentType)

  Description copied from interface: `DatabaseParameterBuffer`
  Get argument as string.

  Specified by:
    `getArgumentAsString` in interface `DatabaseParameterBuffer`
  Parameters:
    `argumentType` - type of argument to find.
  Returns:
    argument as string or `null` if nothing found.

### hasArgument

    public boolean hasArgument(int argumentType)

  Description copied from interface: `DatabaseParameterBuffer`
  Check if this parameter buffer has specified argument.

  Specified by:
    `hasArgument` in interface `DatabaseParameterBuffer`
  Parameters:
    `argumentType` - type of argument to find.
  Returns:
    `true` if this buffer contains specified argument.

### removeArgument

    public void removeArgument(int argumentType)

  Description copied from interface: `DatabaseParameterBuffer`
  Remove specified argument.

  Specified by:
    `removeArgument` in interface `DatabaseParameterBuffer`
  Parameters:
    `argumentType` - type of argument to remove.

### removeExtensionParams

    public DatabaseParameterBuffer removeExtensionParams()

  Description copied from interface: `DatabaseParameterBufferExtension`
  Remove extension parameters in the newly created deep copy of this class.

  Specified by:
    `removeExtensionParams` in interface `DatabaseParameterBufferExtension`
  Returns:
    a deep copy of this class where all extension parameters are removed; needed to filter Jaybird extensions that are not understood by Firebird.

### setUserName

    public void setUserName(String userName)

### setPassword

    public void setPassword(String password)

### equals

    public boolean equals(Object obj)

  Specified by:
    `equals` in interface `javax.resource.spi.ConnectionRequestInfo`
  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `javax.resource.spi.ConnectionRequestInfo`
  Overrides:
    `hashCode` in class `Object`

Copyright © 2001-2010. All Rights Reserved.